Get Order
curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/orders/{orderId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/2022-06-09/orders/{orderId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/2022-06-09/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "b2959ca5-65e4-466a-bd26-1bd05cb4f837",
"phase": "payment",
"lineItems": [
{
"chain": "solana",
"metadata": {
"name": "USDC",
"description": "USDC Token",
"imageUrl": "https://cryptologos.cc/logos/usd-coin-usdc-logo.svg"
},
"quote": {
"status": "valid",
"charges": {
"unit": {
"amount": "1.47",
"currency": "usd"
}
},
"totalPrice": {
"amount": "5",
"currency": "usd"
}
},
"executionMode": "exact-in",
"executionParams": {
"mode": "exact-in",
"amount": "5"
}
}
],
"quote": {
"status": "valid",
"quotedAt": "2025-03-07T23:04:11.996Z",
"expiresAt": "2025-03-07T23:14:11.996Z",
"totalPrice": {
"amount": "5",
"currency": "usd"
}
},
"payment": {
"status": "requires-kyc",
"method": "card",
"currency": "usd",
"preparation": {
"kyc": {
"provider": "persona",
"inquiryId": "inq_example-inquiry-id",
"sessionToken": "<string>",
"environmentId": "<string>"
}
}
}
}{
"error": true,
"message": "<string>",
"code": "<string>"
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}{
"error": true,
"message": "A timeout occurred."
}API Reference
Get Order
Retrieves an onramp order by its ID to track its progress through KYC, recipient verification, payment, and delivery.
GET
/
2022-06-09
/
orders
/
{orderId}
Get Order
Authorizations
apiKeyorderClientSecret
Path Parameters
The identifier of the onramp order, in UUID format.
Example: 9c82ef99-617f-497d-9abb-fd355291681b
Response
Order successfully retrieved.
Was this page helpful?
⌘I

